# Load SimpleCov
require "simplecov"
SimpleCov.start

# Load Environment
require_relative "env"

# Configure RSpec
RSpec.configure do |config|
  config.before(:all) { DatabaseCleaner.strategy = :truncation }
  config.before { DatabaseCleaner.clean }
end

# Helper Methods
def read_fixture(path)
  File.read(File.join(ROOT, "spec/support/fixtures", path))
end
