class DbPipeline < ActiveRecord::Base
  serialize :sce,
    Coders::Pipeline.new(
      Coders::Serializers::MessagePack.new,
      Coders::Compressors::Gzip.new,
      Coders::Encryptors::AES.new(password: "secret")
    )

  serialize :se,
    Coders::Pipeline.new(
      Coders::Serializers::MessagePack.new,
      Coders::Encryptors::AES.new(password: "secret")
    )
end
