class DbOj < ActiveRecord::Base
  serialize :default_data,
    ActiveRecord::Coders::Serializers::Oj.new

  [:object, :strict, :compat, :null].each do |type|
    serialize :"#{type}_data",
      ActiveRecord::Coders::Serializers::Oj.new(mode: type)
  end
end
